package com.ruoyi.zhiyuanzhe.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;

import com.ruoyi.zhiyuanzhe.domain.BActivity;
import com.ruoyi.zhiyuanzhe.service.IBActivityService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;

import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 活动管理Controller
 *
 * @author ruoyi
 * @date 2023-09-18
 */
@RestController
@Api(tags = "活动管理")
@RequestMapping("/zhiyuanzhe/activity")
public class BActivityController extends BaseController {
    @Autowired
    private IBActivityService bActivityService;

    /**
     * 查询活动管理列表
     */
    @GetMapping("/list")
    @ApiOperation(value = "查询活动管理列表")
    public TableDataInfo list(BActivity bActivity) {
        startPage();
        List<BActivity> list = bActivityService.selectBActivityList(bActivity);
        return getDataTable(list);
    }

    /**
     * 导出活动管理列表
     */
    @PostMapping("/export")
    @ApiOperation(value = "导出活动管理列表")
    public void export(HttpServletResponse response, BActivity bActivity) {
        List<BActivity> list = bActivityService.selectBActivityList(bActivity);
        ExcelUtil<BActivity> util = new ExcelUtil<BActivity>(BActivity.class);
        util.exportExcel(response, list, "活动管理数据");
    }

    /**
     * 获取活动管理详细信息
     */
    @ApiOperation(value = "获取活动管理详细信息")
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id) {
        return success(bActivityService.selectBActivityById(id));
    }

    /**
     * 新增活动管理
     */
    @ApiOperation(value = "新增活动管理")
    @PostMapping
    public AjaxResult add(@RequestBody BActivity bActivity) {
        return toAjax(bActivityService.insertBActivity(bActivity));
    }

    /**
     * 修改活动管理
     */
    @ApiOperation(value = "修改活动管理")
    @PutMapping
    public AjaxResult edit(@RequestBody BActivity bActivity) {
        return toAjax(bActivityService.updateBActivity(bActivity));
    }

    /**
     * 删除活动管理
     */
    @ApiOperation(value = "删除活动管理")
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids) {
        return toAjax(bActivityService.deleteBActivityByIds(ids));
    }
}
