package com.ruoyi.zhiyuanzhe.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;

import com.ruoyi.zhiyuanzhe.domain.BCheckRecords;
import com.ruoyi.zhiyuanzhe.service.IBCheckRecordsService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;

import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 物流记录Controller
 * 
 * @author ruoyi
 * @date 2023-09-19
 */
@RestController
@Api(tags = "物流记录")
@RequestMapping("/zhiyuanzhe/checkrecords")
public class BCheckRecordsController extends BaseController
{
    @Autowired
    private IBCheckRecordsService bCheckRecordsService;

    /**
     * 查询物流记录列表
     */
    @ApiOperation(value = "查询物流记录列表")
    @GetMapping("/list")
    public TableDataInfo list(BCheckRecords bCheckRecords)
    {
        startPage();
        List<BCheckRecords> list = bCheckRecordsService.selectBCheckRecordsList(bCheckRecords);
        return getDataTable(list);
    }

    /**
     * 导出物流记录列表
     */
    @ApiOperation(value = "导出物流记录列表")
    @PostMapping("/export")
    public void export(HttpServletResponse response, BCheckRecords bCheckRecords)
    {
        List<BCheckRecords> list = bCheckRecordsService.selectBCheckRecordsList(bCheckRecords);
        ExcelUtil<BCheckRecords> util = new ExcelUtil<BCheckRecords>(BCheckRecords.class);
        util.exportExcel(response, list, "物流记录数据");
    }

    /**
     * 获取物流记录详细信息
     */
    @ApiOperation(value = "获取物流记录详细信息")
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(bCheckRecordsService.selectBCheckRecordsById(id));
    }

    /**
     * 新增物流记录
     */

    @ApiOperation(value = "新增物流记录")
    @PostMapping
    public AjaxResult add(@RequestBody BCheckRecords bCheckRecords)
    {
        return toAjax(bCheckRecordsService.insertBCheckRecords(bCheckRecords));
    }

    /**
     * 修改物流记录
     */
    @ApiOperation(value = "修改物流记录")
    @PutMapping
    public AjaxResult edit(@RequestBody BCheckRecords bCheckRecords)
    {
        return toAjax(bCheckRecordsService.updateBCheckRecords(bCheckRecords));
    }

    /**
     * 删除物流记录
     */
    @ApiOperation(value = "删除物流记录")
	@DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(bCheckRecordsService.deleteBCheckRecordsByIds(ids));
    }
}
