package com.ruoyi.zhiyuanzhe.controller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.zhiyuanzhe.domain.BDistributionRecords;
import com.ruoyi.zhiyuanzhe.domain.request.SubmitRequest;
import com.ruoyi.zhiyuanzhe.service.IBDistributionRecordsService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletResponse;
import javax.validation.Valid;
import java.util.List;

/**
 * 发放记录Controller
 *
 * @author ruoyi
 * @date 2023-09-19
 */
@RestController
@Api(tags = "发放记录")
@RequestMapping("/zhiyuanzhe/dsbrecords")
public class BDistributionRecordsController extends BaseController {
    @Autowired
    private IBDistributionRecordsService bDistributionRecordsService;

    /**
     * 查询发放记录列表
     */
    @ApiModelProperty(value = "查询发放记录列表")
    @GetMapping("/list")
    public TableDataInfo list(BDistributionRecords bDistributionRecords) {
        startPage();
        List<BDistributionRecords> list = bDistributionRecordsService.selectBDistributionRecordsList(bDistributionRecords);
        return getDataTable(list);
    }

    /**
     * 导出发放记录列表
     */
    @ApiModelProperty(value = "导出发放记录列表")
    @PostMapping("/export")
    public void export(HttpServletResponse response, BDistributionRecords bDistributionRecords) {
        List<BDistributionRecords> list = bDistributionRecordsService.selectBDistributionRecordsList(bDistributionRecords);
        ExcelUtil<BDistributionRecords> util = new ExcelUtil<BDistributionRecords>(BDistributionRecords.class);
        util.exportExcel(response, list, "发放记录数据");
    }

    /**
     * 获取发放记录详细信息
     */
    @ApiModelProperty(value = "获取发放记录详细信息")
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id) {
        return success(bDistributionRecordsService.selectBDistributionRecordsById(id));
    }

    /**
     * 新增发放记录
     */
    @ApiModelProperty(value = "新增发放记录")
    @PostMapping
    public AjaxResult add(@RequestBody BDistributionRecords bDistributionRecords) {
        return toAjax(bDistributionRecordsService.insertBDistributionRecords(bDistributionRecords));
    }

    /**
     * 修改发放记录
     */
    @ApiModelProperty(value = "修改发放记录")
    @PutMapping
    public AjaxResult edit(@RequestBody BDistributionRecords bDistributionRecords) {
        return toAjax(bDistributionRecordsService.updateBDistributionRecords(bDistributionRecords));
    }

    /**
     * 删除发放记录
     */
    @ApiModelProperty(value = "删除发放记录")
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids) {
        return toAjax(bDistributionRecordsService.deleteBDistributionRecordsByIds(ids));
    }

    /**
     * 证书发放
     */
    @ApiModelProperty(value = "证书发放")
    @PostMapping("/submit")
    public AjaxResult submit(@RequestBody SubmitRequest req) {

        return AjaxResult.success(bDistributionRecordsService.submit(req));
    }

}
