package com.ruoyi.zhiyuanzhe.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;

import com.ruoyi.zhiyuanzhe.domain.BExchangeRecords;
import com.ruoyi.zhiyuanzhe.service.IBExchangeRecordsService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;

import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 兑换记录Controller
 *
 * @author ruoyi
 * @date 2023-09-19
 */
@Api(tags = "兑换记录")
@RestController
@RequestMapping("/zhiyuanzhe/records")
public class BExchangeRecordsController extends BaseController {
    @Autowired
    private IBExchangeRecordsService bExchangeRecordsService;

    /**
     * 查询兑换记录列表
     */

    @ApiModelProperty(value = "查询兑换记录列表")
    @GetMapping("/list")
    public TableDataInfo list(BExchangeRecords bExchangeRecords) {
        startPage();
        List<BExchangeRecords> list = bExchangeRecordsService.selectBExchangeRecordsList(bExchangeRecords);
        return getDataTable(list);
    }

    /**
     * 导出兑换记录列表
     */
    @ApiModelProperty(value = "导出兑换记录列表")
    @PostMapping("/export")
    public void export(HttpServletResponse response, BExchangeRecords bExchangeRecords) {
        List<BExchangeRecords> list = bExchangeRecordsService.selectBExchangeRecordsList(bExchangeRecords);
        ExcelUtil<BExchangeRecords> util = new ExcelUtil<BExchangeRecords>(BExchangeRecords.class);
        util.exportExcel(response, list, "兑换记录数据");
    }

    /**
     * 获取兑换记录详细信息
     */
    @ApiModelProperty(value = "获取兑换记录详细信息")
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id) {
        return success(bExchangeRecordsService.selectBExchangeRecordsById(id));
    }

    /**
     * 新增兑换记录
     */
    @ApiModelProperty(value = "新增兑换记录")
    @PostMapping
    public AjaxResult add(@RequestBody BExchangeRecords bExchangeRecords) {
        return toAjax(bExchangeRecordsService.insertBExchangeRecords(bExchangeRecords));
    }

    /**
     * 修改兑换记录
     */
    @ApiModelProperty(value = "修改兑换记录")
    @PutMapping
    public AjaxResult edit(@RequestBody BExchangeRecords bExchangeRecords) {
        return toAjax(bExchangeRecordsService.updateBExchangeRecords(bExchangeRecords));
    }

    /**
     * 删除兑换记录
     */
    @ApiModelProperty(value = "删除兑换记录")
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids) {
        return toAjax(bExchangeRecordsService.deleteBExchangeRecordsByIds(ids));
    }
}
