package com.ruoyi.zhiyuanzhe.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;

import com.ruoyi.zhiyuanzhe.domain.BInvite;
import com.ruoyi.zhiyuanzhe.service.IBInviteService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;

import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 邀请Controller
 * 
 * @author ruoyi
 * @date 2023-09-19
 */
@RestController
@Api(tags = "邀请")
@RequestMapping("/zhiyuanzhe/invite")
public class BInviteController extends BaseController
{
    @Autowired
    private IBInviteService bInviteService;

    /**
     * 查询邀请列表
     */
    @ApiModelProperty(value = "查询邀请列表")
    @GetMapping("/list")
    public TableDataInfo list(BInvite bInvite)
    {
        startPage();
        List<BInvite> list = bInviteService.selectBInviteList(bInvite);
        return getDataTable(list);
    }

    /**
     * 导出邀请列表
     */
    @ApiModelProperty(value = "导出邀请列表")
    @PostMapping("/export")
    public void export(HttpServletResponse response, BInvite bInvite)
    {
        List<BInvite> list = bInviteService.selectBInviteList(bInvite);
        ExcelUtil<BInvite> util = new ExcelUtil<BInvite>(BInvite.class);
        util.exportExcel(response, list, "邀请数据");
    }

    /**
     * 获取邀请详细信息
     */
    @ApiModelProperty(value = "获取邀请详细信息")
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(bInviteService.selectBInviteById(id));
    }

    /**
     * 新增邀请
     */
    @ApiModelProperty(value = "新增邀请")
    @PostMapping
    public AjaxResult add(@RequestBody BInvite bInvite)
    {
        return toAjax(bInviteService.insertBInvite(bInvite));
    }

    /**
     * 修改邀请
     */
    @ApiModelProperty(value = "修改邀请")
    @PutMapping
    public AjaxResult edit(@RequestBody BInvite bInvite)
    {
        return toAjax(bInviteService.updateBInvite(bInvite));
    }

    /**
     * 删除邀请
     */
    @ApiModelProperty(value = "删除邀请")
	@DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(bInviteService.deleteBInviteByIds(ids));
    }
}
