package com.ruoyi.zhiyuanzhe.mapper;

import com.ruoyi.zhiyuanzhe.domain.BDistributionRecords;
import com.ruoyi.zhiyuanzhe.domain.request.SubmitRequest;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * 发放记录Mapper接口
 * 
 * @author ruoyi
 * @date 2023-09-19
 */
public interface BDistributionRecordsMapper 
{
    /**
     * 查询发放记录
     * 
     * @param id 发放记录主键
     * @return 发放记录
     */
    public BDistributionRecords selectBDistributionRecordsById(Long id);

    /**
     * 查询发放记录列表
     * 
     * @param bDistributionRecords 发放记录
     * @return 发放记录集合
     */
    public List<BDistributionRecords> selectBDistributionRecordsList(BDistributionRecords bDistributionRecords);

    /**
     * 新增发放记录
     * 
     * @param bDistributionRecords 发放记录
     * @return 结果
     */
    public int insertBDistributionRecords(BDistributionRecords bDistributionRecords);

    /**
     * 修改发放记录
     * 
     * @param bDistributionRecords 发放记录
     * @return 结果
     */
    public int updateBDistributionRecords(BDistributionRecords bDistributionRecords);

    /**
     * 删除发放记录
     * 
     * @param id 发放记录主键
     * @return 结果
     */
    public int deleteBDistributionRecordsById(Long id);

    /**
     * 批量删除发放记录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBDistributionRecordsByIds(Long[] ids);


    /**
     * 证书发放
     *
     * @param req 证书发放请求类
     */
    int submit(@Param("req") SubmitRequest req);
}
