package com.ruoyi.zhiyuanzhe.service;


import com.ruoyi.zhiyuanzhe.domain.BCertificates;
import com.ruoyi.zhiyuanzhe.domain.request.BCertificatesRequest;
import com.ruoyi.zhiyuanzhe.domain.response.BCertificatesResponse;
import org.springframework.data.domain.Page;

import java.util.List;
import java.util.Map;


/**
 * 证书管理Service接口
 * 
 * @author ruoyi
 * @date 2023-09-19
 */
public interface IBCertificatesService 
{
    /**
     * 查询证书管理
     * 
     * @param id 证书管理主键
     * @return 证书管理
     */
    public BCertificates selectBCertificatesById(Long id);

    /**
     * 查询证书管理列表
     * 
     * @param bCertificates 证书管理
     * @return 证书管理集合
     */
    public List<BCertificates> selectBCertificatesList(BCertificates bCertificates);

    /**
     * 新增证书管理
     * 
     * @param bCertificates 证书管理
     * @return 结果
     */
    public int insertBCertificates(BCertificates bCertificates);

    /**
     * 修改证书管理
     * 
     * @param bCertificates 证书管理
     * @return 结果
     */
    public int updateBCertificates(BCertificates bCertificates);

    /**
     * 批量删除证书管理
     * 
     * @param ids 需要删除的证书管理主键集合
     * @return 结果
     */
    public int deleteBCertificatesByIds(Long[] ids);

    /**
     * 删除证书管理信息
     * 
     * @param id 证书管理主键
     * @return 结果
     */
    public int deleteBCertificatesById(Long id);



    /**
     * 根据分页条件查询一次性活动证书发放管理列表
     *
     *
     * @return 所有数据
     */
    Map<String, Object> page(BCertificatesRequest req);
}
