package com.ruoyi.zhiyuanzhe.service.impl;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.zhiyuanzhe.domain.BActivityPoints;
import com.ruoyi.zhiyuanzhe.domain.request.BActivityPointsRequest;
import com.ruoyi.zhiyuanzhe.domain.response.BActivityPointsPageresponse;
import com.ruoyi.zhiyuanzhe.domain.response.BCertificatesResponse;
import com.ruoyi.zhiyuanzhe.mapper.BActivityPointsMapper;
import com.ruoyi.zhiyuanzhe.service.IBActivityPointsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * 活动积分Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-09-19
 */
@Service
public class BActivityPointsServiceImpl implements IBActivityPointsService
{
    @Autowired
    private BActivityPointsMapper bActivityPointsMapper;

    /**
     * 查询活动积分
     * 
     * @param id 活动积分主键
     * @return 活动积分
     */
    @Override
    public BActivityPoints selectBActivityPointsById(Long id)
    {
        return bActivityPointsMapper.selectBActivityPointsById(id);
    }

    /**
     * 查询活动积分列表
     * 
     * @param bActivityPoints 活动积分
     * @return 活动积分
     */
    @Override
    public List<BActivityPoints> selectBActivityPointsList(BActivityPoints bActivityPoints)
    {
        return bActivityPointsMapper.selectBActivityPointsList(bActivityPoints);
    }

    /**
     * 新增活动积分
     * 
     * @param bActivityPoints 活动积分
     * @return 结果
     */
    @Override
    public int insertBActivityPoints(BActivityPoints bActivityPoints)
    {
        bActivityPoints.setCreateTime(DateUtils.getNowDate());
        return bActivityPointsMapper.insertBActivityPoints(bActivityPoints);
    }

    /**
     * 修改活动积分
     * 
     * @param bActivityPoints 活动积分
     * @return 结果
     */
    @Override
    public int updateBActivityPoints(BActivityPoints bActivityPoints)
    {
        bActivityPoints.setUpdateTime(DateUtils.getNowDate());
        return bActivityPointsMapper.updateBActivityPoints(bActivityPoints);
    }

    /**
     * 批量删除活动积分
     * 
     * @param ids 需要删除的活动积分主键
     * @return 结果
     */
    @Override
    public int deleteBActivityPointsByIds(Long[] ids)
    {
        return bActivityPointsMapper.deleteBActivityPointsByIds(ids);
    }

    /**
     * 删除活动积分信息
     * 
     * @param id 活动积分主键
     * @return 结果
     */
    @Override
    public int deleteBActivityPointsById(Long id)
    {
        return bActivityPointsMapper.deleteBActivityPointsById(id);
    }

    @Override
    public Map<String, Object> page(BActivityPointsRequest req) {
        List<BActivityPointsPageresponse> bActivityPointsPageresponses = bActivityPointsMapper.page(req);
        PageHelper.startPage(req.getPageNum(),req.getPageSize());
        PageInfo<BActivityPointsPageresponse> pageInfo = new PageInfo<>(bActivityPointsPageresponses);
        Map<String, Object> result =new HashMap<>();
        result.put("total",pageInfo.getTotal());
        result.put("list",pageInfo.getList());
        return result;
    }
}
