package com.ruoyi.zhiyuanzhe.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.zhiyuanzhe.domain.BActivity;
import com.ruoyi.zhiyuanzhe.domain.BReport;
import com.ruoyi.zhiyuanzhe.mapper.BActivityMapper;
import com.ruoyi.zhiyuanzhe.mapper.BReportMapper;
import com.ruoyi.zhiyuanzhe.service.IBActivityService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

import static com.ruoyi.common.utils.SecurityUtils.getUserId;

/**
 * 活动管理Service业务层处理
 *
 * @author ruoyi
 * @date 2023-09-18
 */
@Service("bActivityService")
public class BActivityServiceImpl implements IBActivityService {
    @Autowired
    private BActivityMapper bActivityMapper;


    @Autowired
    private BReportMapper bReportMapper;

    /**
     * 查询活动管理
     *
     * @param id 活动管理主键
     * @return 活动管理
     */
    @Override
    public BActivity selectBActivityById(Long id) {
        return bActivityMapper.selectBActivityById(id);
    }

    /**
     * 查询活动管理列表
     *
     * @param bActivity 活动管理
     * @return 活动管理
     */
    @Override
    public List<BActivity> selectBActivityList(BActivity bActivity) {
        List<BActivity> list = bActivityMapper.selectBActivityList(bActivity);
        List newList=new ArrayList<>();
        BReport bReport = new BReport();
        for (BActivity a : list) {
            bReport.setUId(getUserId());
            bReport.setActivityId(a.getId());
            List<BReport> reportList = bReportMapper.selectBReportList(bReport);
            if (!reportList.isEmpty()){
                a.setInvolveStaus(1);
            }else {
                a.setInvolveStaus(2);
            }
            newList.add(a);
        }
        return newList;
    }

    /**
     * 新增活动管理
     *
     * @param bActivity 活动管理
     * @return 结果
     */
    @Override
    public int insertBActivity(BActivity bActivity) {
        bActivity.setCreateTime(DateUtils.getNowDate());
        return bActivityMapper.insertBActivity(bActivity);
    }

    /**
     * 修改活动管理
     *
     * @param bActivity 活动管理
     * @return 结果
     */
    @Override
    public int updateBActivity(BActivity bActivity) {
        bActivity.setUpdateTime(DateUtils.getNowDate());
        return bActivityMapper.updateBActivity(bActivity);
    }

    /**
     * 批量删除活动管理
     *
     * @param ids 需要删除的活动管理主键
     * @return 结果
     */
    @Override
    public int deleteBActivityByIds(Long[] ids) {
        return bActivityMapper.deleteBActivityByIds(ids);
    }

    /**
     * 删除活动管理信息
     *
     * @param id 活动管理主键
     * @return 结果
     */
    @Override
    public int deleteBActivityById(Long id) {
        return bActivityMapper.deleteBActivityById(id);
    }
}
