package com.ruoyi.zhiyuanzhe.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.zhiyuanzhe.domain.BDistributionRecords;
import com.ruoyi.zhiyuanzhe.domain.request.SubmitRequest;
import com.ruoyi.zhiyuanzhe.mapper.BDistributionRecordsMapper;
import com.ruoyi.zhiyuanzhe.service.IBDistributionRecordsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * 发放记录Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-09-19
 */
@Service
public class BDistributionRecordsServiceImpl implements IBDistributionRecordsService
{
    @Autowired
    private BDistributionRecordsMapper bDistributionRecordsMapper;

    /**
     * 查询发放记录
     * 
     * @param id 发放记录主键
     * @return 发放记录
     */
    @Override
    public BDistributionRecords selectBDistributionRecordsById(Long id)
    {
        return bDistributionRecordsMapper.selectBDistributionRecordsById(id);
    }

    /**
     * 查询发放记录列表
     * 
     * @param bDistributionRecords 发放记录
     * @return 发放记录
     */
    @Override
    public List<BDistributionRecords> selectBDistributionRecordsList(BDistributionRecords bDistributionRecords)
    {
        return bDistributionRecordsMapper.selectBDistributionRecordsList(bDistributionRecords);
    }

    /**
     * 新增发放记录
     * 
     * @param bDistributionRecords 发放记录
     * @return 结果
     */
    @Override
    public int insertBDistributionRecords(BDistributionRecords bDistributionRecords)
    {
        bDistributionRecords.setCreateTime(DateUtils.getNowDate());
        return bDistributionRecordsMapper.insertBDistributionRecords(bDistributionRecords);
    }

    /**
     * 修改发放记录
     * 
     * @param bDistributionRecords 发放记录
     * @return 结果
     */
    @Override
    public int updateBDistributionRecords(BDistributionRecords bDistributionRecords)
    {
        bDistributionRecords.setUpdateTime(DateUtils.getNowDate());
        return bDistributionRecordsMapper.updateBDistributionRecords(bDistributionRecords);
    }

    /**
     * 批量删除发放记录
     * 
     * @param ids 需要删除的发放记录主键
     * @return 结果
     */
    @Override
    public int deleteBDistributionRecordsByIds(Long[] ids)
    {
        return bDistributionRecordsMapper.deleteBDistributionRecordsByIds(ids);
    }

    /**
     * 删除发放记录信息
     * 
     * @param id 发放记录主键
     * @return 结果
     */
    @Override
    public int deleteBDistributionRecordsById(Long id)
    {
        return bDistributionRecordsMapper.deleteBDistributionRecordsById(id);
    }

    @Override
    public int submit(SubmitRequest req) {
        return bDistributionRecordsMapper.submit(req);
    }
}
